## kernel-diablo-modules-dmloop 2.6.21-200842maemo1.3

=== debian/changelog ===
kernel-diablo-modules-dmloop (2.6.21-200842maemo1.3) unstable; urgency=low

  * Remove all OProfile references.
  * Clean up rules file.
  * Use debhelper compat level 5.
  * Build for ARMEL only.

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 23 Oct 2009 15:25:14 +0100

kernel-diablo-modules-dmloop (2.6.21-200842maemo1.2) unstable; urgency=low

  * First standalone dmloop module package attempt based on work from kernel-diablo-modules

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 27 Sep 2009 09:36:27 +0100
