=== debian/control ===
Source: kernel-diablo-modules-dmloop
Section: utils
Priority: optional
Maintainer:  Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: kernel-source-diablo (=2.6.21-200842maemo1)
XBCS-Scratchbox-Architecture: uarm
Standards-Version: 3.8.0

Package: kernel-diablo-modules-dmloop
Architecture: armel
Description: dmloop Linux kernel module
 This package provides the dmloop kernel module for RX-34, RX-44, RX-48.
